ErrorCollecting (Groovy 2.5.0)
Date: 2018-05-27

org.codehaus.groovy.transform

## Interface ErrorCollecting

- All Known Implementing Classes:
    AbstractASTTransformation, AbstractInterruptibleASTTransformation, AnnotationConstantsVisitor, AsmClassGenerator, ASTTransformationCollectorCodeVisitor, ASTTransformationVisitor, AutoCloneASTTransformation, AutoFinalASTTransformation, AutoImplementASTTransformation, BaseScriptASTTransformation, BuilderASTTransformation, ClassCodeExpressionTransformer, ClassCodeVisitorSupport, ClassCompletionVerifier, ClassGenerator, ContextualClassCodeVisitor, DelegateASTTransformation, DependencyTracker, DummyClassGenerator, EnumCompletionVisitor, EnumVisitor, EqualsAndHashCodeASTTransformation, ExtendedVerifier, ExternalizeMethodsASTTransformation, ExternalizeVerifierASTTransformation, FieldASTTransformation, FinalVariableAnalyzer, GenericsVisitor, GrabAnnotationTransformation, ImmutableASTTransformation, IndexedPropertyASTTransformation, InheritConstructorsASTTransformation, InnerClassCompletionVisitor, InnerClassVisitor, InnerClassVisitorHelper, JavaAwareResolveVisitor, LabelVerifier, LazyASTTransformation, LogASTTransformation, MapConstructorASTTransformation, MemoizedASTTransformation, MixinASTTransformation, NamedVariantASTTransformation, NewifyASTTransformation, NotYetImplementedASTTransformation, OptimizerVisitor, PackageScopeASTTransformation, ReadWriteLockASTTransformation, ResolveVisitor, SharedVariableCollector, SingletonASTTransformation, SortableASTTransformation, SourceURIASTTransformation, StaticCompilationTransformer, StaticCompilationVisitor, StaticImportVisitor, StaticTypeCheckingVisitor, StaticTypeCheckingVisitor.VariableExpressionTypeMemoizer, StaticVerifier, SynchronizedASTTransformation, ToStringASTTransformation, TraitASTTransformation, TupleConstructorASTTransformation, VariableScopeVisitor

      public interface ErrorCollecting

  An AST transform with the ability to report errors.
  See Also:
    `ASTTransformation`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addError(java.lang.String msg, ASTNode expr)`

- - ### Method Detail

    - #### addError

          void addError(java.lang.String msg,
                        ASTNode expr)